%define module	Test-Differences
%define name	perl-%{module}
%define version 0.47
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Test strings and data structures and show differences if not ok 
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RB/RBS/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildArch:	noarch
BuildRequires:	perl-Text-Diff
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
When the code you're testing returns multiple lines, records or data structures
and they're just plain wrong, an equivalent to the Unix diff utility may be
just what's needed.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Fri Mar 04 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.47-1mdk 
- first mdk release
